#
# spec file for package python-djangorestframework-simplejwt
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-djangorestframework-simplejwt
Version:        4.6.0
Release:        1.12
Summary:        JSON Web Token authentication for Django REST Framework
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/davesque/django-rest-framework-simplejwt
Source:         https://github.com/davesque/django-rest-framework-simplejwt/archive/v%{version}.tar.gz#/djangorestframework_simplejwt-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/jazzband/django-rest-framework-simplejwt/commit/ae1ea58daacb76a1d72e202198734053022a6efe Support jwt 2
Patch0:         jwt2.patch
BuildRequires:  %{python_module PyJWT}
BuildRequires:  %{python_module djangorestframework}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module python-jose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyJWT
Requires:       python-djangorestframework
Recommends:     python-python-jose
BuildArch:      noarch
%python_subpackages

%description
A minimal JSON Web Token authentication plugin for the Django REST Framework.

%prep
%setup -q -n django-rest-framework-simplejwt-%{version}
%autopatch -p1

%build
export LANG=en_US.UTF-8
%python_build

%install
export LANG=en_US.UTF-8
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest

%files %{python_files}
%license LICENSE.txt licenses/*
%doc README.rst CHANGELOG.md
%{python_sitelib}/*

%changelog
* Wed Mar 31 2021 Markéta Machová <mmachova@suse.com>
- Update to 4.6.0
  * Restored Python 3.7 support
  * Added Indonesian translations
  * Fixed Django 4.0 re_path deprecation
- Add patch jwt2.patch for PyJWT>=2.0.0 support
* Fri Jul 24 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v4.4.0
  * Added official support for Python 3.8 and Django 3.0.
  * Added settings for expected audience and issuer claims.
  * Documentation updates.
  * Updated package/python version support
  * Added Chilean Spanish language support.
  * Added Russian language support.
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 4.3.0:
  * Added JTI_CLAIM setting to allow storing token identifiers under a different claim.
  * We now return HTTP 401 for user not found or inactive.
  * Restricted setup.py config to Python 3 only.
  * Included translation files in release package.
* Tue Apr  9 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v4.1.3
